<div class="page">
<div class="page__header-navtabs" style="padding-bottom:20px;">
    [[>  Platform:DefaultResourceHeader]]
    
    <mp-overlay-dialog title="Print Preview" type="lightbox">
<mp-overlay-dialog-trigger>
<i aria-hidden="true" class="fa fa-2x fa-print mp-action" style="padding: 16px 25px 0px 0px;" title="Print"></i>
</mp-overlay-dialog-trigger>
<mp-overlay-dialog-content>
<mp-print pages='["[[this]]"]'></mp-print>
</mp-overlay-dialog-content>
</mp-overlay-dialog>
</div>
  [[!-- We assume that context is defined only when we load the page using print component, only then we want to include print related template. --]]
  [[#if (urlParam "context")]]
    [[>  http://www.researchspace.org/resource/assets/OntologyPrint ]]
  [[/if]]
  <bs-tabs class="page__body-navtabs" id="tabs" unmount-on-exit="true">
<bs-tab event-key="1" title="Classes">
<bs-row>
<bs-col sm="8">
<semantic-table no-result-template="<i> No Classes.</i>" options='{"showTableHeading": false, "filterPlaceholderText":"Filter Classes"}' query="SELECT DISTINCT ?Class WHERE { 
                                            GRAPH ?g { {?Class rdf:type owl:Class} UNION {?Class rdf:type  rdfs:Class}  . ?? rdf:type owl:Ontology  } FILTER( !isBlank(?Class))
                                           } ORDER BY ?Class"></semantic-table>
</bs-col>
<bs-col sm="4">
<semantic-tree collapsed="true" keys-opened='["[[this]]"]' nodebindingname="node" parentbindingname="parent" query="
                                SELECT DISTINCT ?node ?parent WHERE {
                                  GRAPH ?g { ?? a owl:Ontology . { ?node a owl:Class } UNION { ?x rdfs:subClassOf ?node } }
                                  OPTIONAL { ?node rdfs:subClassOf ?parent. FILTER(ISIRI(?parent)) }
                                  FILTER(ISIRI(?node))
                                }
                                ORDER BY ?node">
</semantic-tree>
</bs-col>
</bs-row>
</bs-tab>
<bs-tab event-key="2" title="Object Properties">
<semantic-table no-result-template="<i> No Object Properties.</i>" options='{"showTableHeading": false, "filterPlaceholderText":"Filter Object Properties"}' query="SELECT distinct ?ObjectProperty WHERE { 
                                      	GRAPH ?g { {?ObjectProperty rdf:type owl:ObjectProperty} UNION {?ObjectProperty rdf:type <http://www.w3.org/1999/02/22-rdf-syntax-ns#Property> } . ?? rdf:type owl:Ontology } 
                                     } order by ?ObjectProperty">
</semantic-table>
</bs-tab>
<bs-tab event-key="3" title="Datatype Properties">
<semantic-table no-result-template="<i> No Datatype Properties.</i>" options='{"showTableHeading": false, "filterPlaceholderText":"Filter Datatype Properties"}' query="SELECT distinct ?DatatypeProperty WHERE { 
                                      	GRAPH ?g { ?DatatypeProperty rdf:type owl:DatatypeProperty . ?? rdf:type owl:Ontology } 
                                     } order by ?DatatypeProperty">
</semantic-table>
</bs-tab>
<bs-tab event-key="4" title="Individuals">
<semantic-table no-result-template="<i> No Individuals.</i>" options='{"filterPlaceholderText":"Filter Individuals"}' query="SELECT ?Individual ?Class WHERE { 
                                      ?Individual rdf:type ?Class
                                      GRAPH ?g { {
                                        {?Class rdf:type owl:Class}  UNION 
                                        {?Class rdf:type  rdfs:Class}
                                        } . ?? rdf:type owl:Ontology 
                                      } 
                                     	FILTER( !isBlank(?Individual))
                           					} LIMIT 500">
</semantic-table>
</bs-tab>
<bs-tab event-key="5" title="Diagrams">
               [[!-- [[>  http://www.researchspace.org/resource/assets/OntodiaDiagrams]] --]]
               <mp-page-loader iri="http://www.researchspace.org/resource/assets/OntodiaDiagramsTable" urlqueryparam-ontology-iri="[[this]]"></mp-page-loader>
</bs-tab>
<bs-tab event-key="6" title="VOWL">
               [[!-- [[>  http://www.researchspace.org/resource/OntologyTemplateVowl]] --]]
               <mp-page-loader iri="http://www.researchspace.org/resource/OntologyTemplateVowl"></mp-page-loader>
</bs-tab>
</bs-tabs>
</div>